Skip to content
Developer

Help Article

Media2 EndpointsHelpcenter / Help Article

Returns a list of help articles

GET/api/help/help_article

Query parameters

namestringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
tokenstringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
publicTitlestringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
newsTypestringRequires access right: PUBLIC, LOGGED_IN, SCOPE
createdstringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
slugIdentifierstringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
publicKeywordsstringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
publishDatestringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
unpublishDatestringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
articleSpacestringRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
viewOrderintegerRequires access right: PUBLIC, LOGGED_IN, SCOPE, C1
idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived
personstring, C1
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of help articlesarray<MediaNewsArticle2>

Show fields (26)
  • idinteger

    Primary key of the news article. Internal ID.

  • news_typestring

    Type of the news article.

  • tokenstring

    Public token of the article. Used instead of the ID.

  • public_titlestring

    Title shown to the public.

  • public_copyrightstring

    Copyright text shown with the article.

  • public_language_codestring

    Language of the article, for example de.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_thumbnailstring

    URL of the thumbnail image.

  • public_keywordsstring

    Keywords of the article.

  • public_categorystring

    Category of the article shown to the public.

  • publish_datestring (date-time)

    Time the article is published.

  • unpublish_datestring (date-time)

    Time the article is unpublished.

  • article_spaceMediaArticleSpace6

    Article space the article belongs to.

    Show fields (10)
    • idinteger

      Primary key of the article space. Internal ID.

    • childrenarray<MediaArticleSpace6>

      Child article spaces.

    • parentMediaArticleSpace6

      Parent article space.

    • public_keywordsstring

      Keywords of the article space.

    • view_orderinteger

      Sort order of the article space in lists.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • image_urlstring

      URL of the image of the entity.

  • view_orderinteger

    Sort order of the article in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • highlightboolean

    This property is used to mark an entity as highlighted

  • image_urlstring

    URL of the image of the entity.

  • unified_cat_idsobject

    IDs of the unified categories.

  • unified_cat_namesobject

    Names of the unified categories.

  • unified_tag_idsobject

    IDs of the unified tags.

  • unified_tag_namesobject

    Names of the unified tags.

  • slug_identifierstring

    Slug used in URLs of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/help/help_article \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "public_title": "Beispiel",
    "image_url": "https://vynst.de",
    "news_type": "string",
    "token": "string",
    "public_copyright": "string",
    "public_language_code": "string",
    "public_subtitle": "string",
    "public_author": "string",
    "public_summary": "string"
  }
]

Returns a single help article with the given id or token

GET/api/help/help_article/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single help article with the given id or tokenMediaNewsArticle9

Show fields (30)
  • content_htmlstring
  • idinteger

    Primary key of the news article. Internal ID.

  • news_typestring

    Type of the news article.

  • tokenstring

    Public token of the article. Used instead of the ID.

  • entriesarray<MediaNewsArticleContent3>

    Content blocks of the article.

    Show fields (6)
    • content_htmlstring
    • idinteger

      Primary key of the news article content. Internal ID.

    • contentstring

      Content of the block.

    • content_typestring

      Type of the block, for example text, image or video.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • namestring

    Internal name of the article.

  • public_titlestring

    Title shown to the public.

  • public_copyrightstring

    Copyright text shown with the article.

  • public_language_codestring

    Language of the article, for example de.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_thumbnailstring

    URL of the thumbnail image.

  • public_keywordsstring

    Keywords of the article.

  • public_categorystring

    Category of the article shown to the public.

  • publish_datestring (date-time)

    Time the article is published.

  • unpublish_datestring (date-time)

    Time the article is unpublished.

  • article_spaceMediaArticleSpace12

    Article space the article belongs to.

    Show fields (12)
    • idinteger

      Primary key of the article space. Internal ID.

    • childrenarray<MediaArticleSpace12>

      Child article spaces.

    • parentMediaArticleSpace12

      Parent article space.

    • public_keywordsstring

      Keywords of the article space.

    • view_orderinteger

      Sort order of the article space in lists.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • image_urlstring

      URL of the image of the entity.

    • visibility_typestring

      Type of visibility of the entity.

    • arslistarray<AccessRightStorage7>

      Access rights list that controls the visibility.

  • view_orderinteger

    Sort order of the article in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage7>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser50

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • highlightboolean

    This property is used to mark an entity as highlighted

  • image_urlstring

    URL of the image of the entity.

  • ucatsarray<UnifiedCategory26>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory26>

      Child categories.

    • parentUnifiedCategory26

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • unified_cat_idsobject

    IDs of the unified categories.

  • unified_cat_namesobject

    Names of the unified categories.

  • slug_identifierstring

    Slug used in URLs of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/help/help_article/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "public_title": "Beispiel",
  "image_url": "https://vynst.de",
  "content_html": "string",
  "news_type": "string",
  "token": "string",
  "entries": [
    {
      "id": 42,
      "content_html": "string",
      "content": "string",
      "content_type": "string",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00"
    }
  ],
  "public_copyright": "string",
  "public_language_code": "string"
}